/*
 * Support for A680 onboard WD33C93 SCSI
 *
 * Copyright (C) 1999 Phil Blundell
 */

#ifndef __A680_SCSI_H
#define __A680_SCSI_H

#ifndef CMD_PER_LUN
#define CMD_PER_LUN 2
#endif

#ifndef CAN_QUEUE
#define CAN_QUEUE 16
#endif

extern int a680_scsi_detect(Scsi_Host_Template *);
extern int a680_scsi_release(struct Scsi_Host *);

extern int wd33c93_queuecommand(Scsi_Cmnd *, void (*done)(Scsi_Cmnd *));
extern int wd33c93_abort(Scsi_Cmnd *);
extern int wd33c93_reset(Scsi_Cmnd *, unsigned int);

extern struct proc_dir_entry proc_scsi_a680;

#define A680_SCSI  {  proc_dir:		   &proc_scsi_a680,		\
		      name:                "A680 onboard SCSI",		\
		      detect:              a680_scsi_detect,		\
		      release:             a680_scsi_release,		\
		      queuecommand:        wd33c93_queuecommand,	\
		      abort:               wd33c93_abort,		\
		      reset:               wd33c93_reset,		\
		      can_queue:           CAN_QUEUE,			\
		      this_id:             7,				\
		      sg_tablesize:        SG_ALL,			\
		      cmd_per_lun:	   CMD_PER_LUN,			\
		      use_clustering:      DISABLE_CLUSTERING }

#endif
